MODULE Module1
  
  PERS string client_ip := "127.0.0.1";
  PERS num send_port := 30001;
  VAR socketdev send_socket;
  PERS string di100;
  
  PROC main()
    
    client_ip := "127.0.0.1";
    SocketCreate send_socket \UDP;

    WHILE TRUE DO
      SendJointValues;
      SendVar "DO100", doGripperOpen;
      SendVar "DO101", doGripperClose;
      WaitTime 0.01;
    ENDWHILE
  ENDPROC
  
  PROC SendJointValues()
    VAR jointtarget jt;
    VAR string data;
    
    jt := CJointT();
    data := "JOINTS:";
    data := data + NumToStr(jt.robax.rax_1, 3);
    data := data + "," + NumToStr(jt.robax.rax_2, 3);
    data := data + "," + NumToStr(jt.robax.rax_3, 3);
    data := data + "," + NumToStr(jt.robax.rax_4, 3);
    data := data + "," + NumToStr(jt.robax.rax_5, 3);
    data := data + "," + NumToStr(jt.robax.rax_6, 3);
    SocketSendTo send_socket, client_ip, send_port \Str := data;
  ENDPROC
  
  PROC SendVar(string id, num value)
    VAR jointtarget jt;
    VAR string data;
    
    data := id + ":" + NumToStr(value, 0);
    SocketSendTo send_socket, client_ip, send_port \Str := data;
  ENDPROC
  
ENDMODULE